Subject: Re: bug#64360: error: ghc-onetuple: unbound variable

From: Ludovic Courtès <[email-masked]>
Date: Sun, 09 Jul 2023 18:10:12 +0200

Hi,
n
Csepp <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hi,
>>
>> Csepp <[email-masked]> skribis:
>>
>>> I **finally** managed to finish a guix pull on my netbook by offloading
>>> it to my desktop machine, and I tried to build the latest yt-dlp, this
>>> is the error I got:
>>>
>>> ```
>>> $ guix shell yt-dlp

[...]

>>> ice-9/boot-9.scm:1685:16: In procedure raise-exception:
>>> error: ghc-onetuple: unbound variable
>>> ```
>>
>> Could you share the output of ‘guix describe’?

[...]

> I'm not on that machine right now, but this is the guix time-machine
> invocation that I tried to reproduce it with:
>
> guix time-machine --system=i686-linux \
> --commit=e499cb2c12d7f1c6d2f004364c9cc7bdb7e38cd5 \
> --channels=$HOME/channels.scm -- time-machine --commit=63660f0febb \
> --channels=$HOME/channels.scm --system=i686-linux -- repl

That’s quite different from the ‘guix shell yt-dlp’ we started with
though.  :-)

Also, it very much depends on what ‘channels.scm’ contains.  ‘guix
time-machine’ does not support ‘--system’, but on x86_64-linux I get:

--8<---------------cut here---------------start------------->8---
$ guix time-machine --commit=63660f0febb -- shell yt-dlp -- yt-dlp --version
2023.06.22
--8<---------------cut here---------------end--------------->8---

I ran out of disk space (and out of time :-)) while running:

  guix time-machine --commit=63660f0febb -- shell \
    --rebuild-cache -s i686-linux yt-dlp -- yt-dlp --version

Anyway, it could be a problem with a channel other than ‘guix’, we can’t
tell so far.  Please let us know when you have the output of ‘guix
describe’ on that machine.

Ludo’.